Summary:    IBM Cell Data Communication and Synchronization (DaCS) trace-enabled Libraries
Name:       dacs-trace
Version:    3.0.0
Release:    19
Group:      Cell Development Libraries
Vendor:     IBM Corporation
Distribution:	IBM SDK for Multicore Acceleration
URL:	    http://www.ibm.com
License:    BSD
Source:     dacs.tgz
AutoReqProv: no
Buildroot:  %{_tmppath}/%{BUILDsubdir}
Requires:   dacs = %{version}
Requires:   libtrace.so
BuildRequires: trace-cross-devel
BuildRequires: libtrace.so

%define __strip /bin/true
%define __objdump /bin/true

%define BUILDsubdir      %{name}-%{version}-%{release}

# The following keeps RPM from segfaulting when it has links in the install list (grr...)
%define _use_internal_dependency_generator     0

%description
The Cell SDK DaCS package contains Data Communication and Synchronization
(DaCS) trace-enabled libraries

%package -n dacs-trace-devel
Summary: IBM Cell Data Communication and Synchronization (DaCS) trace-enabled libraries
Group: Cell Development Libraries
AutoReqProv: no
Requires: dacs = %{version}
Requires: dacs-devel = %{version}
Requires: libtrace.so
BuildRequires: trace-cross-devel
BuildRequires: libtrace.so

%description -n dacs-trace-devel
The Cell SDK DaCS package contains Data Communication and Synchronization
(DaCS) trace-enabled libraries

%prep
%setup -q -c -n %{BUILDsubdir}

%build
export DACS_ON_CELL=1
rm -rf $RPM_BUILD_ROOT
cd cell
# make the trace-enabled libraries
make TRACE=1 clean && make TRACE=1

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib64/dacs/trace
mkdir -p $RPM_BUILD_ROOT/usr/spu/lib/dacs/trace
mkdir -p $RPM_BUILD_ROOT/usr/share/pdt/config

# Copy the libraries to their final resting place
cp -r cell/install/{spu,lib64} $RPM_BUILD_ROOT/usr
cp common/pdt_dacs.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs_spu.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs_perf.xml $RPM_BUILD_ROOT/usr/share/pdt/config
cp common/pdt_dacs_config_cell.xml $RPM_BUILD_ROOT/usr/share/pdt/config

%post -n %{name}
/sbin/ldconfig
exit 0

%postun -n %{name}
/sbin/ldconfig
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib64/dacs/trace/libdacs.so\.*
/usr/share/pdt/config/pdt_dacs*xml

%files -n dacs-trace-devel
%defattr(-,root,root)
/usr/lib64/dacs/trace/libdacs.so
/usr/lib64/dacs/trace/libdacs.a
/usr/spu/lib/dacs/trace/libdacs.a
